import { EventHook } from '@vueuse/core';
import * as Vue from 'vue';
import { type Plugin } from 'vue';
export declare const pinia: import("pinia").Pinia;
/********************************************
 * WEB COMPONENT MODE                       *
 ********************************************/
interface VueCustomElement {
    version: string;
    readonly config: Vue.AppConfig;
    provide(clientKey: string | symbol, value: unknown): VueCustomElement;
    onUnmount(fn: EventHook['on']): void;
    use(plugin: Plugin, ...options: unknown[]): VueCustomElement;
}
export declare const registerPluginsForCustomElement: (configFn: (app: VueCustomElement) => void) => void;
export {};
